
Redmine - Defect #11209

Wiki diff may generate broken HTML

2012-06-20 17:26 - Kouhei Sutou

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 2.0.4   

Resolution: Fixed Affected version: 2.0.3

Description

If Wiki diff has a new line (not a changed line), diff page may generates broken HTML like:

<div class="text-diff">

h1. CookBook documentation 

<br /> Some updated [[documentation]] here... <span class="diff_in">

<br /> More contents...&lt;/span&gt;

</div>

 Close </span> tag is escaped.

For example:

Before

h1. CookBook documentation

Some updated [[documentation]] here...

 After:

h1. CookBook documentation

Some updated [[documentation]] here...

More contents...

 "More contents..." line is added. This case, diff page generates broken HTML.

Related issues:

Has duplicate Redmine - Defect #11735: Weird diffs in wiki pages. Closed

Associated revisions

Revision 9895 - 2012-06-26 18:57 - Jean-Philippe Lang

Fixed that wiki diff may produce html (#11209).

History

#1 - 2012-06-20 17:30 - Kouhei Sutou

- File 0001-Fix-too-escaped-span-in-diff-page-for-Wiki-11209.patch added

I attach a patch and test case for this issue.

It adds a new fixture data. So it may break other tests. I only tested this patch against test/functional/wiki_controller_test.rb. Sorry.

#2 - 2012-06-20 21:11 - Jean-Philippe Lang

- Status changed from New to Confirmed

#3 - 2012-06-26 18:57 - Jean-Philippe Lang

- Subject changed from diff page for Wiki may generate broken HTML to Wiki diff may generate broken HTML

- Status changed from Confirmed to Resolved
- Assignee set to Jean-Philippe Lang

- Target version set to 2.0.4

- Resolution set to Fixed

Fixed in r9895 with slight changes, thanks for digging into this.

#4 - 2012-06-28 14:18 - Kouhei Sutou

Thanks!

I've also found a similar problem in Wiki update notification mail. I'll submit a new ticket with test case later.

#5 - 2012-07-08 14:34 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

Files

0001-Fix-too-escaped-span-in-diff-page-for-Wiki-11209.patch 3.91 KB 2012-06-20 Kouhei Sutou
